// defines the ammo pickups
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_AMMO_PICKUPS_GSH
#define INCLUDED_AMMO_PICKUPS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_Flares_Pickup
{
	file "objects\flares plus.RIF"
	name "flares plus"
}

shape Shp_Plasma_Bolts_Pickup
{
	file "objects\bullets.RIF"
	name "bullets"
}

shape Shp_Plasmaxi_Bolts_Pickup
{
	file "objects\bullets plus.RIF"
	name "bullets plus"
}

shape Shp_Plasma_Shells_Pickup
{
	file "objects\exploding bullets.RIF"
	name "exploding bullets"
}

shape Shp_Autolock_Bolts_Pickup
{
	file "objects\AUTOLOCK BOLTS PICKUP A.RIF"
	name "AUTOLOCK BOLTS PICKUP A"
}

shape Shp_Battery_Basic_Pickup
{
	file "objects\battery basic.RIF"
	name "battery basic"
}

shape Shp_Battery_Plus_Pickup
{
	file "objects\battery plus.RIF"
	name "battery plus"
}

shape Shp_Grenade_Basic_Pickup
{
	file "objects\GRENADE BASIC PICKUP A.RIF"
	name "GRENADE BASIC PICKUP A"
}

shape Shp_Grenade_Plus_Pickup
{
	file "objects\GRENADE PLUS PICKUP A.RIF"
	name "GRENADE PLUS PICKUP A"
}

shape Shp_Missile_Ammo_Pickup
{
	file "objects\missile ammo.RIF"
	name "missile ammo"
}

shape Shp_Missile_Plus_Ammo_Pickup
{
	file "objects\missile plus ammo.RIF"
	name "missile plus ammo"
}

shape Shp_Flamer_Fuel_Pickup
{
	file "objects\flame.RIF"
	name "flame"
}

shape Shp_Napalm_Fuel_Pickup
{
	file "objects\napalm ammo.RIF"
	name "napalm ammo"
}

shape Shp_Energy_Cells_Pickup
{
	file "objects\energy cells.RIF"
	name "energy cells"
}

shape Shp_Nanotech_Dismantler_Pickup
{
	file "objects\nanobots.RIF"
	name "nanobots"
}

////////////////////////////////////////////////////////////////////////////////////

character Chr_Flares_Pickup : Chr_Default
{
	turning speed   0
	walking speed   10	// dummy for number of flares in this pickup
	weapon			flares
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Plasma_Bolts_Pickup : Chr_Default
{
	turning speed   0
	walking speed   50	// dummy for number of bullets in this pickup
	weapon			plasma bolts
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Plasma_Bolts_Pickup : Chr_Default
{
	turning speed   0
	walking speed   8	// dummy for number of bullets in this pickup
	weapon			plasma bolts
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Plasmaxi_Bolts_Pickup : Chr_Default
{
	turning speed   0
	walking speed   50	// dummy for number of bullets in this pickup
	weapon			plasmaxi bolts
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Plasmaxi_Bolts_Pickup : Chr_Default
{
	turning speed   0
	walking speed   8	// dummy for number of bullets in this pickup
	weapon			plasmaxi bolts
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Plasma_Shells_Pickup : Chr_Default
{
	turning speed   0
	walking speed   40
	weapon			plasma shells
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Plasma_Shells_Pickup : Chr_Default
{
	turning speed   0
	walking speed   8
	weapon			plasma shells
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Autolock_Bolts_Pickup : Chr_Default
{
	turning speed   0
	walking speed   40
	weapon			autolock bolts
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			1
}

character Chr_Mini_Autolock_Bolts_Pickup : Chr_Default
{
	turning speed   0
	walking speed   8
	weapon			autolock bolts
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			1
}

character Chr_Battery_Basic_Pickup : Chr_Default
{
	turning speed   0
	walking speed   80
	weapon			battery basic
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Battery_Basic_Pickup : Chr_Default
{
	turning speed   0
	walking speed   16
	weapon			battery basic
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Battery_Plus_Pickup : Chr_Default
{
	turning speed   0
	walking speed   40
	weapon			battery plus
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Battery_Plus_Pickup : Chr_Default
{
	turning speed   0
	walking speed   8
	weapon			battery plus
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Grenade_Basic_Pickup : Chr_Default
{
	turning speed   0
	walking speed   40
	weapon			grenade basic
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			1
}

character Chr_Mini_Grenade_Basic_Pickup : Chr_Default
{
	turning speed   0
	walking speed   5
	weapon			grenade basic
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Grenade_Plus_Pickup : Chr_Default
{
	turning speed	0
	walking speed	20
	weapon			grenade plus
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			1
}

character Chr_Mini_Grenade_Plus_Pickup : Chr_Default
{
	turning speed	0
	walking speed	4
	weapon			grenade plus
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Missile_Basic_Pickup : Chr_Default
{
	turning speed   0
	walking speed   60
	weapon			missile basic
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Missile_Basic_Pickup : Chr_Default
{
	turning speed   0
	walking speed   8
	weapon			missile basic
	strength        10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Missile_Plus_Pickup : Chr_Default
{
	turning speed	0
	walking speed	40
	weapon			missile plus
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Mini_Missile_Plus_Pickup : Chr_Default
{
	turning speed	0
	walking speed	4
	weapon			missile plus
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Nanotech_Dismantler_Pickup : Chr_Default
{
	turning speed	0
	walking speed	200
	weapon			nanotech dismantler
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Flamer_Fuel_Pickup : Chr_Default
{
	turning speed	0
	walking speed	200
	weapon			flames
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Napalm_Fuel_Pickup : Chr_Default
{
	turning speed	0
	walking speed	200
	weapon			napalm
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

character Chr_Energy_Cells_Pickup : Chr_Default
{
	turning speed	0
	walking speed	200
	weapon			energy cells
	strength		10	// initial strength points
	aim				0
	aggression		0.61	// 6 = ammo pickup
	size			3
}

role Rol_Flares_Pickup : Rol_DefaultPickup
{
	shape			Shp_Flares_Pickup

	character		Chr_Flares_Pickup

	identifier		"flares"

	destructibility	Des_Explode

	pickup name		flares pickup
}

role Rol_Plasma_Bolts_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasma_Bolts_Pickup

	character		Chr_Plasma_Bolts_Pickup

	identifier		"plasma_bolts"

	destructibility	Des_Explode

	pickup name		plasma bolts pickup
}

role Rol_Mini_Plasma_Bolts_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasma_Bolts_Pickup

	character		Chr_Mini_Plasma_Bolts_Pickup

	identifier		"Mini_plasma_bolts"

	destructibility	Des_Explode

	pickup name		plasma bolts pickup
}

role Rol_Plasmaxi_Bolts_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasmaxi_Bolts_Pickup

	character		Chr_Plasmaxi_Bolts_Pickup

	identifier		"plasmaxi_bolts"

	destructibility	Des_Explode

	pickup name		plasmaxi bolts pickup
}

role Rol_Mini_Plasmaxi_Bolts_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasmaxi_Bolts_Pickup

	character		Chr_Mini_Plasmaxi_Bolts_Pickup

	identifier		"Mini_plasmaxi_bolts"

	destructibility	Des_Explode

	pickup name		plasmaxi bolts pickup
}

role Rol_Plasma_Shells_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasma_Shells_Pickup

	character		Chr_Plasma_Shells_Pickup

	identifier		"plasma_shells"

	destructibility	Des_Explode

	pickup name		plasma shells pickup
}

role Rol_Mini_Plasma_Shells_Pickup : Rol_DefaultPickup
{
	shape			Shp_Plasma_Shells_Pickup

	character		Chr_Mini_Plasma_Shells_Pickup

	identifier		"Mini_plasma_shells"

	destructibility	Des_Explode

	pickup name		plasma shells pickup
}

role Rol_Autolock_Bolts_Pickup : Rol_DefaultPickup
{
	shape			Shp_Autolock_Bolts_Pickup

	character		Chr_Autolock_Bolts_Pickup

	identifier		"autolock_bolts"

	destructibility	Des_Explode

	pickup name		autolock bolts pickup
}

role Rol_Mini_Autolock_Bolts_Pickup : Rol_DefaultPickup
{
	shape			Shp_Autolock_Bolts_Pickup

	character		Chr_Mini_Autolock_Bolts_Pickup

	identifier		"Mini_autolock_bolts"

	destructibility	Des_Explode

	pickup name		autolock bolts pickup
}

role Rol_Battery_Basic_Pickup : Rol_DefaultPickup
{
	shape			Shp_Battery_Basic_Pickup

	character		Chr_Battery_Basic_Pickup

	identifier		"battery_basic"

	destructibility	Des_Explode

	pickup name		battery basic pickup
}

role Rol_Mini_Battery_Basic_Pickup : Rol_DefaultPickup
{
	shape			Shp_Battery_Basic_Pickup

	character		Chr_Mini_Battery_Basic_Pickup

	identifier		"Mini_battery_basic"

	destructibility	Des_Explode

	pickup name		battery basic pickup
}

role Rol_Battery_Plus_Pickup : Rol_DefaultPickup
{
	shape			Shp_Battery_Plus_Pickup

	character		Chr_Battery_Plus_Pickup

	identifier		"battery_plus"

	destructibility	Des_Explode

	pickup name		battery plus pickup
}

role Rol_Mini_Battery_Plus_Pickup : Rol_DefaultPickup
{
	shape			Shp_Battery_Plus_Pickup

	character		Chr_Mini_Battery_Plus_Pickup

	identifier		"Mini_battery_plus"

	destructibility	Des_Explode

	pickup name		battery plus pickup
}

role Rol_Grenade_Basic_Pickup : Rol_DefaultPickup
{
	shape			Shp_Grenade_Basic_Pickup

	character		Chr_Grenade_Basic_Pickup

	identifier		"grenade_basic"

	destructibility	Des_Explode

	pickup name		grenade basic pickup
}

role Rol_Mini_Grenade_Basic_Pickup : Rol_DefaultPickup
{
	shape			Shp_Grenade_Basic_Pickup

	character		Chr_Mini_Grenade_Basic_Pickup

	identifier		"Mini_grenade_basic"

	destructibility	Des_Explode

	pickup name		grenade basic pickup
}

role Rol_Grenade_Plus_Pickup : Rol_DefaultPickup
{
	shape			Shp_Grenade_Plus_Pickup

	character		Chr_Grenade_Plus_Pickup

	identifier		"grenade_plus"

	destructibility	Des_Explode

	pickup name		grenade plus pickup
}

role Rol_Mini_Grenade_Plus_Pickup : Rol_DefaultPickup
{
	shape			Shp_Grenade_Plus_Pickup

	character		Chr_Mini_Grenade_Plus_Pickup

	identifier		"Mini_grenade_plus"

	destructibility	Des_Explode

	pickup name		grenade plus pickup
}

role Rol_Missile_Basic_Pickup : Rol_DefaultPickup
{
	shape			Shp_Missile_Ammo_Pickup

	character		Chr_Missile_Basic_Pickup

	identifier		"missile_basic"

	destructibility	Des_Explode

	pickup name		missile basic pickup
}

role Rol_Mini_Missile_Basic_Pickup : Rol_DefaultPickup
{
	shape			Shp_Missile_Ammo_Pickup

	character		Chr_Mini_Missile_Basic_Pickup

	identifier		"Mini_missile_basic"

	destructibility	Des_Explode

	pickup name		missile basic pickup
}

role Rol_Missile_Plus_Pickup : Rol_DefaultPickup
{
	shape			Shp_Missile_Plus_Ammo_Pickup

	character		Chr_Missile_Plus_Pickup

	identifier		"missile_plus"

	destructibility	Des_Explode

	pickup name		missile plus pickup
}

role Rol_Mini_Missile_Plus_Pickup : Rol_DefaultPickup
{
	shape			Shp_Missile_Plus_Ammo_Pickup

	character		Chr_Mini_Missile_Plus_Pickup

	identifier		"Mini_missile_plus"

	destructibility	Des_Explode

	pickup name		missile plus pickup
}

role Rol_Nanotech_Dismantler_Pickup : Rol_DefaultPickup
{
	shape			Shp_Nanotech_Dismantler_Pickup

	character		Chr_Nanotech_Dismantler_Pickup

	identifier		"nanotech_dismantlers"

	destructibility	Des_Explode

	pickup name		nanotech dismantler pickup
}

role Rol_Flamer_Fuel_Pickup : Rol_DefaultPickup
{
	shape			Shp_Flamer_Fuel_Pickup

	character		Chr_Flamer_Fuel_Pickup

	identifier		"flamer_fuel"

	destructibility	Des_Explode

	pickup name		flames pickup
}

role Rol_Napalm_Fuel_Pickup : Rol_DefaultPickup
{
	shape			Shp_Napalm_Fuel_Pickup

	character		Chr_Napalm_Fuel_Pickup

	identifier		"napalm_fuel"

	destructibility	Des_Explode

	pickup name		napalm pickup
}

role Rol_Energy_Cells_Pickup : Rol_DefaultPickup
{
	shape			Shp_Energy_Cells_Pickup

	character		Chr_Energy_Cells_Pickup

	identifier		"energy_cells"

	destructibility	Des_Explode

	pickup name		energy cells pickup
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_Inventory_Plasma_Bolts
{
	file "objects\bullets.RIF"
	name "bullets"
}

shape Shp_Inventory_Plasmaxi_Bolts
{
	file "objects\bullets plus.RIF"
	name "bullets plus"
}

shape Shp_Inventory_Plasma_Shells
{
	file "objects\exploding bullets.RIF"
	name "exploding bullets"
}

shape Shp_Inventory_Autolock_Bolts
{
	file "objects\smart bullets.RIF"
	name "smart bullets"
}

shape Shp_Inventory_Battery_Basic
{
	file "objects\battery basic.RIF"
	name "battery basic"
}

shape Shp_Inventory_Battery_Plus
{
	file "objects\battery plus.RIF"
	name "battery plus"
}

shape Shp_Inventory_Grenade_Basic
{
	file "objects\grenade ammo.RIF"
	name "grenade ammo"
}

shape Shp_Inventory_Grenade_Plus
{
	file "objects\grenade plus ammo.RIF"
	name "grenade plus ammo"
}

shape Shp_Inventory_Missile_Basic
{
	file "objects\missile ammo.RIF"
	name "missile ammo"
}

shape Shp_Inventory_Missile_Plus
{
	file "objects\missile plus ammo.RIF"
	name "missile plus ammo"
}

shape Shp_Inventory_Nanotech_Dismantler
{
	file "objects\nanobots.RIF"
	name "nanobots"
}

shape Shp_Inventory_Energy_Cells
{
	file "objects\energy cells.RIF"
	name "energy cells"
}

shape Shp_Inventory_Flamer_Fuel
{
	file "objects\flame.RIF"
	name "flame"
}

shape Shp_Inventory_Napalm_Fuel
{
	file "objects\napalm ammo.RIF"
	name "napalm ammo"
}

ammo info
{
	ammo type		flares

	shape			Shp_Flares_Pickup
	max per slot	20
	description		GL_DESCRIPTION_FLARES
	ammo name		GL_AMMO_FLARES
}

ammo info
{
	ammo type		plasma bolts

	shape			Shp_Inventory_Plasma_Bolts
	max per slot	100
	description		GL_DESCRIPTION_PLASMA_BOLTS
	ammo name		GL_AMMO_PLASMA_BOLTS
}

ammo info
{
	ammo type		plasmaxi bolts

	shape			Shp_Inventory_Plasmaxi_Bolts
	max per slot	80
	description		GL_DESCRIPTION_PLASMAXI_BOLTS
	ammo name		GL_AMMO_PLASMAXI_BOLTS
}

ammo info
{
	ammo type		plasma shells

	shape			Shp_Inventory_Plasma_Shells
	max per slot	70
	description		GL_DESCRIPTION_PLASMA_SHELLS
	ammo name		GL_AMMO_PLASMA_SHELLS
}

ammo info
{
	ammo type		autolock bolts

	shape			Shp_Inventory_Autolock_Bolts
	max per slot	50
	description		GL_DESCRIPTION_AUTOLOCK_BOLTS
	ammo name		GL_AMMO_AUTOLOCK_BOLTS
}

ammo info
{
	ammo type		battery basic

	shape			Shp_Inventory_Battery_Basic
	max per slot		100
	description		GL_DESCRIPTION_BATTERY_BASIC
	ammo name		GL_AMMO_BATTERY_BASIC
}

ammo info
{
	ammo type		battery plus

	shape			Shp_Inventory_Battery_Plus
	max per slot		100
	description		GL_DESCRIPTION_BATTERY_PLUS
	ammo name		GL_AMMO_BATTERY_PLUS
}

ammo info
{
	ammo type		grenade basic

	shape			Shp_Inventory_Grenade_Basic
	max per slot		40
	description		GL_DESCRIPTION_GRENADE_BASIC
	ammo name		GL_AMMO_GRENADE_BASIC
}

ammo info
{
	ammo type		grenade plus

	shape			Shp_Inventory_Grenade_Plus
	max per slot		40
	description		GL_DESCRIPTION_GRENADE_PLUS
	ammo name		GL_AMMO_GRENADE_PLUS
}

ammo info
{
	ammo type		missile basic

	shape			Shp_Inventory_Missile_Basic
	max per slot		90
	description		GL_DESCRIPTION_MISSILE_BASIC
	ammo name		GL_AMMO_MISSILE_BASIC
}

ammo info
{
	ammo type		missile plus

	shape			Shp_Inventory_Missile_Plus
	max per slot		90
	description		GL_DESCRIPTION_MISSILE_PLUS
	ammo name		GL_AMMO_MISSILE_PLUS
}

ammo info
{
	ammo type		energy cells

	shape			Shp_Inventory_Energy_Cells
	max per slot	150
	description		GL_AMMO_ENERGY_CELLS
	ammo name		GL_AMMO_ENERGY_CELLS
}

ammo info
{
	ammo type		flames

	shape			Shp_Inventory_Flamer_Fuel
	max per slot	150
	description		GL_DESCRIPTION_FLAMES
	ammo name		GL_AMMO_FLAMES
}

ammo info
{
	ammo type		napalm

	shape			Shp_Inventory_Napalm_Fuel
	max per slot	150
	description		GL_DESCRIPTION_NAPALM
	ammo name		GL_AMMO_NAPALM
}

ammo info
{
	ammo type		nanotech dismantler

	shape			Shp_Inventory_Nanotech_Dismantler
	max per slot	150
	description		GL_AMMO_NANOTECH_DISMANTLER
	ammo name		GL_AMMO_NANOTECH_DISMANTLER
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_AMMO_PICKUPS_GSH