// defines BillyJoe
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_BILLYJOE_GSH
#define INCLUDED_BILLYJOE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "lasers.gsh"
#include "defaults.gsh"

hierarchy Hcy_BillyJoe
{
	file "units\BillyJoeJimBob.RIF"
	name "bolter + drills"
	hotspot "dum flash"
}

character Chr_BillyJoe : Chr_DefaultBaddie
{
	turning speed   0.125
	walking speed   1
	weapon          Wpn_RedLaser
	strength        15
	aim             7
	sight angle	85	// in degrees
	sight range 	8	// this is actually (range in metres) squared
	hearing range	20	// again, this value has been squared
	aggression	0.5	// from 0 to 1
}

role Rol_BillyJoe : Rol_DefaultRobot
{
	shape            Hcy_BillyJoe
	
	character        Chr_BillyJoe
		
	identifier       "billyjoe"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_BILLYJOE_GSH
