// defines bright yellow lava light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_lavayellow_GSH
#define INCLUDED_lavayellow_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_lavayellow
{
	type corona
	life infinite
	rate 1
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   1
	green 1
	blue  1
	alpha 1
}

light Lit_lavayellow
{
	red             1
	green           1
	blue            1
	specular red	0.5
	specular green	0.5
	specular blue	0.5
	range           30
}

role Rol_lavayellow : Rol_PlacedObject
{
	shape Pgn_lavayellow
	light Lit_lavayellow
	identifier "lavayellowbulb"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_lavayellow_GSH
