// defines Scavenger
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SCAVENGER_GSH
#define INCLUDED_SCAVENGER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Scavenger
{
	file "units\chicken.RIF"
	name "standard"
	hotspot "tail"
}

character Chr_Scavenger : Chr_DefaultBaddie
{
	turning speed	0.4
	walking speed	1
	strength		1	// one shot and it's chicken soup
	aim				20	// pretty crap really
	sight angle		70	// in degrees
	sight range 	20	// in metres
	hearing range	25	// in metres
	aggression		0.1	// from 0 to 1
}

role Rol_Scavenger : Rol_DefaultRobot
{
	shape            Hcy_Scavenger

	character        Chr_Scavenger
	
	identifier       "chicken"

	ai		scavenger
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SCAVENGER_GSH
