// defines Claw
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_CLAW_GSH
#define INCLUDED_CLAW_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_Claw
{
	file "units\claw.RIF"
	name "claw"
	hotspot "dumflash"
}

character Chr_Claw : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			enemy laser
	strength        5	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	70	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	description		claw description
}

role Rol_Claw : Rol_DefaultRobot
{
	shape			Hcy_Claw

	character		Chr_Claw

	identifier		"claw"

	ai				bot

	sever point		"rightshoulder,neck,leftshoulder"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_CLAW_GSH
