// defines the fragmented crate
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_FRAGCRATEC_GSH
#define INCLUDED_FRAGCRATEC_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Fragcratec
{
	file	"objects\fragcratec.rif"
	name	"fragcratec"
	hotspot none
}

role Rol_Fragcratec : Rol_FragObject
{
	shape	   Hcy_Fragcratec
	identifier "fragcratec"
}

frag data Frg_cratec
{
	role Rol_Fragcratec
	scale 2
	symmetric yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_FRAGCRATEC_GSH
