// defines Deadbot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_DEADBOT_GSH
#define INCLUDED_DEADBOT_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Deadbot
{
	file "units\dead bot a.RIF"
	name "dead bot a"
}

character Chr_Deadbot : Chr_DefaultBaddie
{
	turning speed   0.3	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	strength        25	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle	80	// in degrees
	sight range 	2	// in metres
	hearing range	20	// in metres
	aggression	1	// from 0 to 1
	gun yaw angle	0	// in degrees
	description	drone description
}

role Rol_Deadbot : Rol_DefaultRobot
{
	shape			Hcy_Deadbot

	character		Chr_Deadbot

	identifier		"deadbot"

	armour			25

	destructibility		Des_Explode

	ai			pathfinder
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_DEADBOT_GSH