// defines the fragmented Drone bot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_DRONE_FRAG_GSH
#define INCLUDED_DRONE_FRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_DroneFrag
{
	file	"units\dronefrag.rif"
	name	"dronefrag"
	hotspot none
}

role Rol_DroneFrag : Rol_FragObject
{
	shape			Hcy_DroneFrag
	identifier		"dronefrag"
}

frag data Frg_Drone
{
	role Rol_DroneFrag
	scale 4
	replace yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_DRONE_FRAG_GSH
