// defines a dummy defogger
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_DUMMY_DEFOGGER_GSH
#define INCLUDED_DUMMY_DEFOGGER_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

character Chr_Dummy_Defogger : Chr_DefaultBaddie
{
	turning speed   0.3
	walking speed   0	// doesn't move
	strength		6	// one shot and it's destroyed
	aim				0	// spot on!
	sight angle		180	// in degrees
	sight range		8	// in metres
	hearing range	0	// in metres
	aggression		1	// from 0 to 1
	always cpu controlled	yes
}

character Chr_Small_Dummy_Dynamic_Defogger : Chr_Dummy_Defogger
{
	walking speed   1	// doesn't really move, but this forces constant fog updates
	sight range		10	// in metres
}

character Chr_Dummy_Dynamic_Defogger : Chr_Dummy_Defogger
{
	walking speed   1	// doesn't really move, but this forces constant fog updates
	sight range		99	// in metres
}

role Rol_Dummy_Defogger : Rol_DefaultRobot
{
	character		Chr_Dummy_Defogger
	ai				reserved
	identifier		"Dummy_Defogger"
	armour			25
}

role Rol_Small_Dummy_Dynamic_Defogger : Rol_DefaultRobot
{
	character		Chr_Small_Dummy_Dynamic_Defogger
	ai				reserved
	identifier		"Small_Dynamic_Defogger"
	armour			25
}

role Rol_Dummy_Dynamic_Defogger : Rol_DefaultRobot
{
	character		Chr_Dummy_Dynamic_Defogger
	ai				reserved
	identifier		"Dynamic_Defogger"
	armour			25
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_DUMMY_DEFOGGER_GSH