// defines green light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_greenlight_GSH
#define INCLUDED_greenlight_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_green
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   0.2
	green 1
	blue  0.2
	alpha 1
}

light Lit_green
{
	red             4
	green           10
	blue            4
	specular red	0.3
	specular green	3
	specular blue	0.3
	range           10

}

role Rol_Greenlight : Rol_PlacedObject
{
	shape Pgn_green
	light Lit_green
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_greenlight_GSH