// defines the fragmented lob bot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_LOBFRAG_GSH
#define INCLUDED_LOBFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_lobfrag
{
	file	"units\lobfrag.rif"
	name	"lobfrag"
	hotspot none
}

role Rol_lobfrag : Rol_FragObject
{
	shape			Hcy_lobfrag
	identifier		"lobfrag"
}

frag data Frg_lob
{
	role Rol_lobfrag
	scale 6
	replace yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_LOBFRAG_GSH
