// defines Elint Robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_MASKELYN_GSH
#define INCLUDED_MASKELYN_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Maskelyn
{
	file "units\maskelyn mkii.RIF"
	name "maskelyn mkii"
	hotspot "dum flash"
}

hierarchy Hcy_MaskelynShadow
{
	file "units\maskelyn_shadow.RIF"
	name "maskelyn_shadow"
}

hierarchy Hcy_MaskelynCustomize
{
	file "units\wepmaskelyn.RIF"
	name "wepmaskelyn"
}

character Chr_Maskelyn : Chr_DefaultGoodie
{
	turning speed   1	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	strength        20	// initial strength points
	aim             0	// how many degrees off target he can be at most
	sight angle		75	// in degrees
	sight range 	12	// in metres
	hearing range	17	// in metres
	aggression		0.7	// from 0 to 1
	radius			0.5	// used by the movement model
	shadow hierarchy	Hcy_MaskelynShadow
	customization hierarchy Hcy_MaskelynCustomize
	description		maskelyn description
	status window u	0
	status window v	0
	gun yaw angle	175
}

role Rol_Maskelyn : Rol_DefaultRobot
{
	shape			Hcy_Maskelyn
	character		Chr_Maskelyn
	identifier		"MASKELYN"
	ai				bot
	limit			8
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_MASKELYN_GSH