// defines MASSACRETE
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_MASSACRETE_GSH
#define INCLUDED_MASSACRETE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_massacrete
{
	file "units\LOWmassacrete.RIF"
	name "LOWmassacrete"
	hotspot "dumflash"
}

//hierarchy Hcy_massacrete_Shadow
//{
//	file "units\massacrete_shadow.RIF"
//	name "massacrete_shadow"
//}

character Chr_massacrete : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			enemy laser
	strength        60	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	30	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	0.5	// from 0 to 1
	gun yaw angle	0	// in degrees
//	description		massacrete description
//	shadow hierarchy	Hcy_massacrete_Shadow
}

role Rol_massacrete : Rol_DefaultRobot
{
	shape				Hcy_massacrete

	character			Chr_massacrete

	identifier			"massacrete"

	destructibility			Des_Explode

	armour	7

	ai					bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_MASSACRETE_GSH