// defines steam coming from the pipes
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_PIPE_STEAM_GSH
#define INCLUDED_PIPE_STEAM_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_PipeSteam_Up
{
	type steam
	life infinite
	rate 10

	// stream direction
	x  0
	y -5
	z  0

	// particle colour
	red   0.15
	green 0.1
	blue  0.1
	alpha 1
}

role Rol_PipeSteam_Up : Rol_PlacedObject
{
	shape Pgn_PipeSteam_Up
}

pgenerator Pgn_PipeSteam_Down
{
	type steam
	life infinite
	rate 10
	
	// stream direction
	x  0
	y  5
	z  0
	
	// particle colour
	red   0.15
	green 0.1
	blue  0.1
	alpha 1
}

role Rol_PipeSteam_Down : Rol_PlacedObject
{
	shape Pgn_PipeSteam_Down
}

pgenerator Pgn_PipeSteam_DownSW
{
	type steam
	life infinite
	rate 10
	
	// stream direction
	x  -5
	y  5
	z  5
	
	// particle colour
	red   0.15
	green 0.1
	blue  0.04
	alpha 1
}

role Rol_PipeSteam_DownSW : Rol_PlacedObject
{
	shape Pgn_PipeSteam_DownSW
}

pgenerator Pgn_PipeSteam_NE
{
	type steam
	life infinite
	rate 30
	
	// stream direction
	x  5
	y  0
	z  -5
	
	// particle colour
	red   0.15
	green 0.1
	blue  0.04
	alpha 1
}

role Rol_PipeSteam_NE : Rol_PlacedObject
{
	shape Pgn_PipeSteam_NE
}

pgenerator Pgn_Resyk_Steam_Up
{
	type steam
	life infinite
	rate 10
	
	// stream direction
	x  0
	y -0.5
	z  0
	
	// particle colour
	red   0.1
	green 0.1
	blue  0.04
	alpha 1
}

role Rol_Resyk_Steam_Up : Rol_PlacedObject
{
	shape Pgn_Resyk_Steam_Up
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_PIPE_STEAM_GSH
