// defines the Popup Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_POPUP_TURRET_GSH
#define INCLUDED_POPUP_TURRET_GSH

#include "defaults.gsh"
#include "lasers.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Popup_Turret
{
	file "units\pu_turret.RIF"
	name "Pu Turret"
	hotspot "Dum Flash"
}

character Chr_Popup_Turret : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			enemy laser
	strength		6
	aim				0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		30	// in degrees
	sight range		15	// in metres
	hearing range	22	// in metres
	aggression		1	// from 0 to 1
	gun yaw angle	90	// in degrees
	elevation angle 20	// in degrees
	can turn		no

	always cpu controlled yes
}

// msoke trail from the barrel when firing
pgenerator Pgn_Popup_Turret
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_Popup_Turret : Rol_DefaultRobot
{
	pgen			Pgn_Popup_Turret
	shape			Hcy_Popup_Turret
	character		Chr_Popup_Turret
	ai				popup
	identifier		"Popup_Turret"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_POPUP_TURRET_GSH