// defines the pulsax Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_pulsax_GSH
#define INCLUDED_pulsax_GSH

#include "defaults.gsh"
#include "pulsaxfrag.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_pulsax
{
	file "units\pulsax.RIF"
	name "pulsax"
	hotspot "Dum Flash"
}

hierarchy Hcy_Pulsax_Shadow
{
	file "units\pulsax vlow.RIF"
	name "Pulsax vlow"
	hotspot "dum flash"
}

character Chr_pulsax : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			plasmatrix
	strength		60
	aim				0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		89	// in degrees
	sight range		10	// in metres
	hearing range		00	// in metres
	aggression		1	// from 0 to 1
	shadow hierarchy	Hcy_Pulsax_Shadow
	gun yaw angle	90	// in degrees
	elevation angle 20	// in degrees
	can turn		no
	vision cone		no
	always cpu controlled yes
}

// msoke trail from the barrel when firing
pgenerator Pgn_pulsax
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_pulsax : Rol_DefaultRobot
{
	pgen			Pgn_pulsax
	shape			Hcy_pulsax
	character		Chr_pulsax
	armour 			5
	ai			popup
	identifier		"pulsax"
	destructibility		Frg_pulsax
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_pulsax_GSH