// defines the pulsox Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_pulsox_GSH
#define INCLUDED_pulsox_GSH

#include "defaults.gsh"
#include "pulsoxfrag.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_pulsox
{
	file "units\pulsox.RIF"
	name "pulsox"
	hotspot "Dum Flash"
}

hierarchy Hcy_Pulsox_Shadow
{
	file "units\pulsox vlow.RIF"
	name "Pulsox vlow"
	hotspot "dum flash"
}

character Chr_pulsox : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			plasmatrix
	strength		20
	aim				0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		60	// in degrees
	sight range		20	// in metres
	hearing range		0	// in metres
	aggression		1	// from 0 to 1
	shadow hierarchy	Hcy_Pulsox_Shadow
	gun yaw angle	90	// in degrees
	elevation angle 20	// in degrees
	can turn		no
	vision cone		no
	always cpu controlled yes
}

character Chr_mini_pulsox : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			plasma pistol
	strength		20
	aim				0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		60	// in degrees
	sight range		25	// in metres
	hearing range		0	// in metres
	aggression		1	// from 0 to 1
	shadow hierarchy	Hcy_Pulsox_Shadow
	gun yaw angle	90	// in degrees
	elevation angle 20	// in degrees
	can turn		no
	size 0.7
	vision cone		no
	always cpu controlled yes
}

// smoke trail from the barrel when firing
pgenerator Pgn_pulsox
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_pulsox : Rol_DefaultRobot
{
	pgen			Pgn_pulsox
	shape			Hcy_pulsox
	character		Chr_pulsox
	armour 			2
	ai				popup
	identifier		"pulsox"
	destructibility		Frg_pulsox
}

role Rol_mini_pulsox : Rol_DefaultRobot
{
	pgen			Pgn_pulsox
	shape			Hcy_pulsox
	character		Chr_mini_pulsox
	armour 			0
	ai			popup
	identifier		"mini_pulsox"
	destructibility 	Des_Explode
}
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_pulsox_GSH