// defines the fragmented pulsox turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_pulsoxFRAG_GSH
#define INCLUDED_pulsoxFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_base
{
	file	"units\pulsox.rif"
	name	"L7#base01"
}

role Rol_base : Rol_PlacedObject
{
	shape			Shp_base
	identifier		"base"
	ai blocker
}


hierarchy Hcy_pulsoxFrag
{
	file	"units\pulsoxfrag.rif"
	name	"pulsoxfrag"
	hotspot none
}

role Rol_pulsoxFrag : Rol_FragObject
{
	shape			Hcy_pulsoxFrag
	identifier		"pulsoxfrag"
}

frag data Frg_pulsox
{
	role Rol_pulsoxFrag
	scale 6
	replace role 	Rol_base
	replace yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_pulsoxFRAG_GSH
