// defines Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_RAIL_TURRET_GSH
#define INCLUDED_RAIL_TURRET_GSH

#include "lasers.gsh"
#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Rail_Turret
{
	file "units\rail turret.RIF"
	name "Rail Turret"
	hotspot "Dum Flash"
}

character Chr_Rail_Turret : Chr_DefaultBaddie
{
	turning speed   0.25
	walking speed   0	// doesn't move
	weapon          enemy laser
	strength        6	// one shot and it's destroyed
	aim             0	// spot on!
	sight angle	90	// in degrees
	sight range 	15	// in metres
	hearing range	22	// in metres
	aggression	1	// from 0 to 1
	gun yaw angle	45	// in degrees
	elevation angle 45	// in degrees
	can turn		no	// can only use gun yaw
}

role Rol_Rail_Turret : Rol_DefaultRobot
{
	shape			Hcy_Rail_Turret
	character		Chr_Rail_Turret
	identifier		"Rail_Turret"
	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_RAIL_TURRET_GSH
