// defines REAPOR
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_REAPOR_GSH
#define INCLUDED_REAPOR_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "reaporfrag.gsh"

hierarchy Hcy_reapor
{
	file "units\LOWreapor.RIF"
	name "LOWreapor"
	hotspot "dumflash"
}

character Chr_reapor : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			maxim laser
	strength        90	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	25	// in degrees
	sight range 	20	// in metres
	hearing range	17	// in metres
	aggression	1	// from 0 to 1
	gun yaw angle	30	// in degrees

}

role Rol_reapor : Rol_DefaultRobot
{
	shape			Hcy_reapor

	character		Chr_reapor

	identifier		"reapor"

	armour	5

	destructibility	Frg_reapor

	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_REAPOR_GSH
