// defines robodozer
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_ROBODOZER_GSH
#define INCLUDED_ROBODOZER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"
#include "robodozerfrag.gsh"

shape Shp_Robodozer
{
	file "objects\robodozer.RIF"
	name "robodozer"
}

frag data FrgA_Robodozer	// this creates Rol_Robodozerhalfleft and frag bits
{
	role		Rol_RobodozerfragA
	replace role	Rol_Robodozerhalfleft
	replace 		yes				// get rid of the old wall
	scale		10
	symmetric		no
}

role Rol_Robodozer : Rol_PlacedObject
{
	shape		Shp_Robodozer
	identifier		"robodozer"
	destructibility	FrgA_Robodozer
	ai		blocker
	armour		22
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_ROBODOZER_GSH
