// defines Sparks
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SPARKS_GSH
#define INCLUDED_SPARKS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_Sparks
{
	type sparks
	life infinite
	rate 10
	
	// stream direction
	x	0
	y	-2
	z	0
	
	// particle colour
	red   0.8
	green 0.8
	blue  0.8
	alpha 0.7

	start scale	1.0
	end scale	1.0
}

role Rol_Sparks : Rol_PlacedObject
{
	shape		Pgn_Sparks
	identifier	"spark_generator"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SPARKS_GSH