// defines the fragmented Stalker bot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_STALKER_FRAG_GSH
#define INCLUDED_STALKER_FRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_StalkerFrag
{
	file	"units\stalkfrag.rif"
	name	"stalkfrag"
	hotspot none
}

role Rol_StalkerFrag : Rol_PlacedObject
{
	shape			Hcy_StalkerFrag
	identifier		"stalkfrag"
	frag control	yes
	hit test ignore	yes
}

frag data Frg_Stalker
{
	role Rol_StalkerFrag
	scale 5
	replace no
	remove "abdomen"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_STALKER_FRAG_GSH
