// defines TankerFire
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_TANKERFIRE_GSH
#define INCLUDED_TANKERFIRE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_TankerFire
{
	type fire
	life infinite
	rate 10
	
	// stream direction
	x	0
	y	-2
	z	0
	
	// particle colour
	red   1
	green 0.4
	blue  0.1
	alpha 1

	start scale	5.0
	end scale	1.5
	spin		10000
}

light Lit_TankerFire
{
	red             4
	green           1.5
	blue            0.2
	specular red	1.5
	specular green	0.5
	specular blue	0
	range           12
}

role Rol_TankerFire : Rol_PlacedObject
{
	shape Pgn_TankerFire
	light Lit_TankerFire
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_CARFIRE_GSH