// defines the tumbleweed
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_TUMBLEWEED_GSH
#define INCLUDED_TUMBLEWEED_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_Tumbleweed
{
	file "objects\tumweed.RIF"
	name "TumWeed"
}

character Chr_Tumbleweed : Chr_Default
{
	turning speed	1
	walking speed	1
	strength		1000
	aim				0	// pretty crap really
	sight angle		85	// in degrees
	sight range 	30	// in metres
	hearing range	0	// in metres
	aggression		1	// from 0 to 1
}

pgenerator Pgn_Tumbleweed
{
	type fire
	life infinite //
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_Tumbleweed : Rol_PlacedObject
{
	pgen		Pgn_Tumbleweed

	shape            Shp_Tumbleweed

	character        Chr_Tumbleweed

	identifier       "tumbleweed"
	
	destructibility  Des_Explode

	ai		tumbleweed
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_TUMBLEWEED_GSH
