// defines Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_TURRET_GSH
#define INCLUDED_TURRET_GSH

#include "lasers.gsh"
#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Turret
{
	file "units\turret.RIF"
	name "bolter + radar"
	hotspot "dum flash"
}

character Chr_Turret : Chr_DefaultBaddie
{
	turning speed   0.125
	walking speed   0	// doesn't move
	weapon          enemy laser
	strength        1	// one shot and it's destroyed
	aim             0	// spot on!
	sight angle	90	// in degrees
	sight range 	10	// in metres
	hearing range	22	// in metres
	aggression	1	// from 0 to 1
}

role Rol_Turret : Rol_DefaultRobot
{
	shape            Hcy_Turret
	character        Chr_Turret
	identifier       "turret"
	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_TURRET_GSH
