// defines white light mini
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_whitelightmini_GSH
#define INCLUDED_whitelightmini_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_whitemini
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   0.7
	green 0.7
	blue  0.7
	alpha 1
}

light Lit_whitemini
{
	red             1
	green           1
	blue            1
	specular red	0.7
	specular green	0.7
	specular blue	0.7
	range           6

}

role Rol_Whitelightmini : Rol_PlacedObject
{
	shape Pgn_whitemini
	light Lit_whitemini
	moves on lifts yes
	identifier "whitelightmini"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_whitelightmini_GSH