// defines Madelene
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_MADELENE_GSH
#define INCLUDED_MADELENE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "flamethrower.gsh"
#include "Mad_Frag.gsh"

hierarchy Hcy_Madelene
{
	file "units\Madelene.RIF"
	name "Madelene"
	hotspot "dumflash"
}

character Chr_Madelene : Chr_DefaultBaddie
{
	turning speed   0.5	// this is in revolutions per second
	walking speed   1.2	// this is in animation cycles per second
	weapon          flamethrower
	strength        8	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle		80	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression		0.9	// from 0 to 1
	radius			2.0	// in metres
}

role Rol_Madelene : Rol_DefaultRobot
{
	shape			Hcy_Madelene
	character		Chr_Madelene
	identifier		"Madelene"
	destructibility	Frg_Madfrag
	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_MADELENE_GSH
