//////////////////////////////////////////////////////////////////////////
//																		//
// Sounds.h - Contains Enums for all the sounds in the game.		 	//
//																		//
//	Dave Wall 03/03/99													//
//																		//
//////////////////////////////////////////////////////////////////////////

#pragma once

// T Y P E S /////////////////////////////////////////////////////////////

#define	S_NULL				0
#define	S_CURSOR			1
#define	S_MAXIM_LASER		2
#define	S_OTHERS			3
#define S_BINARY_LASER		3
#define	S_LASER				4
#define	S_MACHINE_PISTOL	5
#define	S_GRENADE_LAUNCHER	6
#define	S_MAGNUM			7
#define	S_PISTOL			8
#define	S_FLAMETHROWER		9
#define	S_CW_OPEN			10
#define	S_CW_CLOSE			11
#define	S_WIND				12
#define	S_EXPLODING_BULLETS	13
#define	S_EXPLOSION1		14
#define	S_EXPLOSION2		15
#define	S_GRENADES			16
#define	S_OUT_OF_AMMO		17
#define	S_MENU_BACKGROUND	18
#define	S_WEAPON_PICKUP		19
#define	S_MENU_CLICK		20
#define	S_MENU_CLICK_FINAL	21
#define	S_CW_SECONDARY_OPEN 22
#define	S_FLARE				23
#define	S_HEALTH_PICKUP		24
#define	S_LIFT_SWITCH		25
#define	S_USE_HEALTH_PICKUP	26
#define	S_EQUIP_WEAPON		27
#define	S_USE_SIGHT_PICKUP	28
#define	S_CUSTOMISATION_OK	29
#define	S_CUSTOM_SCROLL		30
#define	S_CUSTOM_ACTIVATE	32
#define	S_PICKUP_DOH		33
#define	S_RELOAD			34
#define	S_USE_PLUGIN		35
#define S_BADDIE_POWERUP	36
#define S_BADDIE_POWERDOWN	37

#define	MAX_STATIC_SOUNDS	256
#define	MAX_DYNAMIC_SOUNDS	1024

#define FIRST_DYNAMIC_SLOT MAX_STATIC_SOUNDS
#define MAX_SOUNDS MAX_DYNAMIC_SOUNDS

#define	MS_NULL					0
#define	FIRST_DYNAMIC_META_SLOT	1
#define	MAX_META_SOUNDS			100