// defines the fragmented adversor bot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_ADVERSORFRAG_GSH
#define INCLUDED_ADVERSORFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_baseadversor
{
	file	"units\adversor.rif"
	name	"L7#base"
}

role Rol_baseadversor : Rol_PlacedObject
{
	shape			Shp_baseadversor
	identifier		"base"
	ai blocker
}

hierarchy Hcy_adversorfrag
{
	file	"units\adversorfrag.rif"
	name	"adversorfrag"
	hotspot none
}

role Rol_adversorfrag : Rol_FragObject
{
	shape			Hcy_adversorfrag
	identifier		"adversorfrag"
}

frag data Frg_adversor
{
	role Rol_adversorfrag
	scale 8
	replace role Rol_baseadversor
	replace yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_ADVERSORFRAG_GSH
