// defines Scuttlers
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_BADDIE_SILO_GSH
#define INCLUDED_BADDIE_SILO_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "drone.gsh"

hierarchy Hcy_baddie_silo
{
	file "units\baddie_silo.RIF"
	name "baddie_silo"
	hotspot none
}


character Chr_baddie_silo : Chr_DefaultBaddie
{
	turning speed		0
	walking speed		0
	strength		70
	aim			5
	sight angle		89	// in degrees
	sight range 		10	// in metres THIS IS THE TRIGGER DISTANCE
	hearing range		10	// in metres
	aggression		0.1	// actually baddies produced per second.
	vision cone		no
	generation limit	3
	alertable		no	// Whether the node can be alerted by baddies
	latch trigger		yes	// Whether the trigger is flip once
}

role Rol_baddie_silo : Rol_DefaultRobot
{
	shape			Hcy_baddie_silo

	character		Chr_baddie_silo

	identifier		"baddie_silo"

	destructibility	Des_Explode

	ai				node

	produces		"drone"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_BADDIE_SILO_GSH