// defines Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_BATTLER_TURRET_GSH
#define INCLUDED_BATTLER_TURRET_GSH

#include "lasers.gsh"
#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Battler_Turret
{
	file "units\battler turret.RIF"
	name "Battler Turret"
	hotspot "Dum Flash"
}

character Chr_Battler_Turret : Chr_DefaultBaddie
{
	turning speed   0.3
	walking speed   0	// doesn't move
	weapon          enemy laser
	strength		6	// one shot and it's destroyed
	aim				0	// spot on!
	sight angle		90	// in degrees
	sight range		15	// in metres
	hearing range	22	// in metres
	aggression		1	// from 0 to 1
	gun yaw angle	30	// in degrees
	elevation angle 30	// in degrees
}

role Rol_Battler_Turret : Rol_DefaultRobot
{
	shape           Hcy_Battler_Turret
	character       Chr_Battler_Turret
	ai				bot
	identifier      "Battler_Turret"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_BATTLER_TURRET_GSH
