// defines blue light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_bluelight_GSH
#define INCLUDED_bluelight_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_blue
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   0.5
	green 0.5
	blue  0.8
	alpha 1
}

light Lit_blue
{
	red             0.6
	green           0.6
	blue            1
	specular red	0.6
	specular green	0.6
	specular blue	0.8
	range           6

}

role Rol_Bluelight : Rol_PlacedObject
{
	shape Pgn_blue
	light Lit_blue
	moves on lifts yes
	identifier "bluelight"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_bluelight_GSH