// defines blue light mini
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_bluelightmini_GSH
#define INCLUDED_bluelightmini_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_bluemini
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   0.5
	green 0.5
	blue  0.8
	alpha 1
}

light Lit_bluemini
{
	red             0.8
	green           0.8
	blue            1
	specular red	0.4
	specular green	0.4
	specular blue	0.8
	range           4

}

role Rol_Bluelightmini : Rol_PlacedObject
{
	shape Pgn_bluemini
	light Lit_bluemini
	moves on lifts yes
	identifier "bluelightmini"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_bluelightmini_GSH