// defines the bombhead Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_bombhead_GSH
#define INCLUDED_bombhead_GSH

#include "defaults.gsh"
#include "missile_launcher.gsh"
#include "bombheadfrag.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_bombhead
{
	file "units\bombhead.RIF"
	name "bombhead"
	hotspot "Dum Flash"
}

hierarchy Hcy_Bombhead_Shadow
{
	file "units\bombhead vlow.RIF"
	name "bombhead vlow"
	hotspot "dum flash"
}

character Chr_bombhead : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			missile launcher
	strength		30
	aim				0	// spot on!
	height			0.6	// for targeting purposes
	sight angle		89	// in degrees
	sight range		15	// in metres
	hearing range		0	// in metres
	aggression		1	// from 0 to 1
	shadow hierarchy	Hcy_Bombhead_Shadow
	gun yaw angle		90	// in degrees
	elevation angle 	20	// in degrees
	can turn		no
	vision cone		no
	always cpu controlled yes
}

// msoke trail from the barrel when firing
pgenerator Pgn_bombhead
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_bombhead : Rol_DefaultRobot
{
	pgen			Pgn_bombhead
	shape			Hcy_bombhead
	character		Chr_bombhead
	armour			5
	ai			popup
	identifier		"bombhead"
	destructibility		Frg_bombhead
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_bombhead_GSH