// defines Bug
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_BUGS_GSH
#define INCLUDED_BUGS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Bug
{
	file "units\bug.RIF"
	name "bug"
	hotspot "head"
}


hierarchy Hcy_Bug_shadow
{
	file "units\bug_shadow.RIF"
	name "bug_shadow"
	hotspot "head"
}


hierarchy Hcy_Fly
{
	file "units\fly.RIF"
	name "fly"
	hotspot "flyhead"
}

character Chr_Bug : Chr_DefaultBaddie
{
	turning speed	0.4
	walking speed	1
	strength		1	// one shot and it's bug ick
	aim				20	// pretty crap really
	sight angle		70	// in degrees
	sight range 	20	// in metres
	hearing range	25	// in metres
	aggression		0.1	// from 0 to 1
	//shadow hierarchy 	Hcy_Bug_shadow
}

character Chr_Fly : Chr_DefaultBaddie
{
	turning speed	0.4
	walking speed	2
	strength		1	// one shot and it's bug ick
	aim				20	// pretty crap really
	sight angle		70	// in degrees
	sight range 	20	// in metres
	hearing range	25	// in metres
	aggression		0.1	// from 0 to 1

}

role Rol_Bug : Rol_DefaultRobot
{
	shape            Hcy_Bug

	character        Chr_Bug
	
	identifier       "bug"

	ai		background creature
}

role Rol_Fly : Rol_DefaultRobot
{
	shape            Hcy_Fly

	character        Chr_Fly
	
	identifier       "fly"

	ai		background creature
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_BUGS_GSH
