// defines compound multiple building blocks
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_compounds_GSH
#define INCLUDED_compounds_GSH


// A shadow can be placed in the gcs using the identifier
////////////////////////////////////////////////////////////////////////////////////

// defines centre pillar section

shape Shp_Compound_a
{
       file "objects\Compound A.rif"
       name "Compound A"
}

role Rol_Compound_a : Rol_PlacedObject
{
	shape			Shp_Compound_a
	identifier		"compound_a"
	destructibility  	Des_Explode
	ai			blocker
	status display 		no
	armour 			30
}

// defines edge section

shape Shp_Compound_b
{
       file "objects\Compound B.rif"
       name "Compound B"
}

role Rol_Compound_b : Rol_PlacedObject
{
	shape			Shp_Compound_b
	identifier		"compound_b"
	destructibility  	Des_Explode
	ai			blocker
	status display 		no
	armour 			30
}

// defines wall section

shape Shp_Compound_c
{
       file "objects\Compound C.rif"
       name "Compound C"
}

role Rol_Compound_c : Rol_PlacedObject
{
	shape			Shp_Compound_c
	identifier		"compound_c"
	destructibility  	Des_Explode
	ai			blocker
	status display 		no
	armour 			30
}

// defines corner section

shape Shp_Compound_d
{
       file "objects\Compound D.rif"
       name "Compound D"
}

role Rol_Compound_d : Rol_PlacedObject
{
	shape			Shp_Compound_d
	identifier		"compound_d"
	destructibility  	Des_Explode
	ai			blocker
	status display 		no
	armour 			30
}


// defines T-junction section

shape Shp_Compound_e
{
       file "objects\Compound E.rif"
       name "Compound E"
}

role Rol_Compound_e : Rol_PlacedObject
{
	shape			Shp_Compound_e
	identifier		"compound_e"
	destructibility  	Des_Explode
	ai			blocker
	status display 		no
	armour 			30
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_compounds_GSH
