// defines Corona light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_CORONA_GSH
#define INCLUDED_CORONA_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_Corona
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   1.0
	green 1.0
	blue  1.0
	alpha 1
}

light Lit_Corona
{
	red             1
	green           1
	blue            1
	specular red	1
	specular green	1
	specular blue	1
	range           6
}

role Rol_Corona : Rol_PlacedObject
{
	shape Pgn_Corona
	light Lit_Corona
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_CORONA_GSH