// defines the fragmented crate
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_FRAGCRATE_GSH
#define INCLUDED_FRAGCRATE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Fragcrate
{
	file	"objects\fragcrate.rif"
	name	"fragcrate"
	hotspot none
}

role Rol_Fragcrate : Rol_FragObject
{
	shape	   Hcy_Fragcrate
	identifier "fragcrate"
}

frag data Frg_Crate
{
	role Rol_Fragcrate
	scale 2
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_FRAGCRATE_GSH
