// defines the fragmented crate
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_FRAGCRATEB_GSH
#define INCLUDED_FRAGCRATEB_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_Fragcrateb
{
	file	"objects\fragcrateb.rif"
	name	"fragcrateb"
	hotspot none
}

role Rol_Fragcrateb : Rol_FragObject
{
	shape			Hcy_Fragcrateb
	identifier		"fragcrateb"
}

frag data Frg_crateb
{
	role Rol_Fragcrateb
	scale 2
	symmetric yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_FRAGCRATEB_GSH
