// defines the fragmented destructor bot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_destructorFRAG_GSH
#define INCLUDED_destructorFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_destructorFrag
{
	file	"units\destructorfrag.rif"
	name	"destructorfrag"
	hotspot none
}

role Rol_destructorFrag : Rol_FragObject
{
	shape			Hcy_destructorFrag
	identifier		"destructorfrag"
}

frag data Frg_destructor
{
	role Rol_destructorFrag
	scale 8
	replace yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_destructorFRAG_GSH
