// defines the fragmented dome in city ruins
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_dome_FRAG_GSH
#define INCLUDED_dome_FRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_domebust
{
	file "objects\domebust.rif"
	name "domebust"
}

role Rol_domebust : Rol_PlacedObject
{
	shape		Shp_domebust
	identifier	"domebust"
}



hierarchy Hcy_domefragb
{
	file		"objects\domefrag b.rif"
	name		"domefragb"
	hotspot		 none
}

role Rol_domefragb : Rol_FragObject
{
	shape		Hcy_domefragb
	identifier	"domefragb"
	frag control	yes
	hit test ignore yes
}



frag data Frg_domefragb
{
	role 		Rol_domefragb
	replace role	Rol_domebust
	replace		yes
	scale 		10
	symmetric		no
}


shape Shp_domehalfleft
{
	file "objects\dome halfleft.rif"
	name "dome halfleft"
}

role Rol_domehalfleft : Rol_PlacedObject
{
	shape		Shp_domehalfleft
	identifier	"domehalfleft"
	destructibility	 Frg_domefragb
	ai		blocker
	armour 		0
}

hierarchy Hcy_domefraga
{
	file		"objects\domefrag a.rif"
	name		"domefraga"
	hotspot		 none
}

role Rol_domefraga : Rol_FragObject
{
	shape		Hcy_domefraga
	identifier	"domefraga"
	frag control	yes
}



frag data Frg_domefraga
{
	role 		Rol_domefraga
	replace role	Rol_domehalfleft
	replace		yes
	scale 		10
	symmetric		no
}


////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_DOME_FRAG_GSH
