// defines the fragmented Pylon at the beginning of level 01
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_GASBRIDGEFRAG_GSH
#define INCLUDED_GASBRIDGEFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_gasbridgefrag
{
	file	"objects\gasbridgefrag.rif"
	name	"gasbridgefrag"
	hotspot none
}

role Rol_gasbridgefrag : Rol_PlacedObject
{
	shape	   Hcy_gasbridgefrag
	identifier "gasbridgefrag"
}

frag data Frg_gasbridge
{
	role Rol_gasbridgefrag
	scale 5
	replace yes
	symmetric no
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_GASBRIDGEFRAG_GSH
