// defines the fragmented gastank at the beginning of docks
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_gastank_FRAG_GSH
#define INCLUDED_gastank_FRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_gastankbust
{
    	   file "objects\gastankbust.rif"
    	   name "gastankbust"
}

role Rol_gastankbust : Rol_PlacedObject
{
	shape		Shp_gastankbust
	identifier		"gastankbust"
}

hierarchy Hcy_gastankfrag
{
	file		"objects\gastankfrag.rif"
	name		"gastankfrag"
	hotspot		 none
}

role Rol_gastankfrag : Rol_FragObject
{
	shape		   Hcy_gastankfrag
	identifier		 "gastankfrag"
}

frag data Frg_gastankfrag
{
	role 		Rol_gastankfrag
	replace role	 Rol_gastankbust
	replace		yes
	scale 		10
	symmetric		no
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_PYLON_FRAG_GSH
