// defines lamp light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_lamp_GSH
#define INCLUDED_lamp_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_lamp
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   1.0
	green 1.0
	blue  1.0
	alpha 1
}

light Lit_lamp
{
	red             2
	green           2
	blue            2
	specular red	2
	specular green	2
	specular blue	2
	range           6
}

role Rol_lamp : Rol_PlacedObject
{
	shape Pgn_lamp
	light Lit_lamp
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_lamp_GSH