// defines lightbulb
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_LIGHTBULB_GSH
#define INCLUDED_LIGHTBULB_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "corona_light.gsh"

shape Shp_Lightbulb
{
	file "objects\lightbulb.rif"
	name "lightbulb"
}

role Rol_Lightbulb : Rol_PlacedObject
{
	shape	Shp_Lightbulb
	light	Lit_Corona
	pgen	Pgn_Corona
	identifier "lightbulb"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_LIGHTBULB_GSH
