// defines LOWLOB
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_LOWLOB_GSH
#define INCLUDED_LOWLOB_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_lowlob
{
	file "units\LOWlob.RIF"
	name "lowlob"
	hotspot "dumflash"
}

character Chr_lowlob : Chr_DefaultBaddie
{
	turning speed   0.8	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon			enemy laser
	strength        5	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	70	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	description		claw description
}

role Rol_lowlob : Rol_DefaultRobot
{
	shape			Hcy_lowlob

	character		Chr_lowlob

	identifier		"lowlob"

	ai				bot

}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_LOWLOB_GSH
