// defines purple light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_purplelight_GSH
#define INCLUDED_purplelight_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_purple
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   0.5
	green 0
	blue  0.5
	alpha 1
}

light Lit_purple
{
	red             0.2
	green           0
	blue            0.2
	specular red	0.2
	specular green	0
	specular blue	0.2
	range           10
}

role Rol_Purplelight : Rol_DefaultGarbage
{
	shape Pgn_purple
	light Lit_purple
	moves on lifts yes
	identifier	"purplelight"

}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_purplelight_GSH