// defines the fragmented Pylon at the beginning of level 01
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_PLYON_FRAG_GSH
#define INCLUDED_PYLON_FRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_PylonFrag
{
	file	"objects\level 01 prison pylon frag.rif"
	name	"pylon frag"
	hotspot none
}

role Rol_PylonFrag : Rol_PlacedObject
{
	shape	   Hcy_PylonFrag
	identifier "pylonfrag"
}

frag data Frg_Pylon
{
	role Rol_PylonFrag
	scale 4
	replace yes
	symmetric yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_PYLON_FRAG_GSH
