// defines the fragmented sewer grate at the end of the city wall level (11)
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_SEWERFRAG_GSH
#define INCLUDED_SEWERFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_sewerfragb
{
       file "objects\sewerfragb.rif"
       name "sewerfragb"
}

role Rol_sewerfragb : Rol_PlacedObject
{
	shape			Hcy_sewerfragb
	identifier		"sewerfragb"
	frag control	yes
	hit test ignore yes
}

frag data Frg_sewerfraghalf
{
	role 	Rol_sewerfragb
	scale 	6
}

shape Shp_sewerfraghalf
{
	file	"objects\sewerfraghalf.rif"
	name	"sewer grate"
}

role Rol_sewerfraghalf : Rol_PlacedObject
{
	destructibility	Frg_sewerfraghalf
	shape			Shp_sewerfraghalf
	identifier		"sewerfraghalf"
}

hierarchy Hcy_sewerfraga
{
       file "objects\sewerfraga.rif"
       name "sewerfraga"
}

role Rol_sewerfraga : Rol_PlacedObject
{
	shape			Hcy_sewerfraga
	identifier		"sewerfraga"
	frag control	yes
	hit test ignore yes
}

frag data Frg_sewergrate
{
	role 	Rol_sewerfraga
	replace role Rol_sewerfraghalf
	replace	yes
	scale 	6
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SEWERFRAG_GSH