// defines the technocrate and frag
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_technocrate_GSH
#define INCLUDED_technocrate_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_technocratefrag
{
	file	"objects\technocratefrag.rif"
	name	"technocratefrag"
	hotspot none
}

role Rol_technocratefrag : Rol_FragObject
{
	shape	   Hcy_technocratefrag
	identifier "technocratefrag"
}

frag data Frg_technocratefrag
{
	role Rol_technocratefrag
	scale 6
}


shape Shp_technocrate
{
       file "objects\technocrate.rif"
       name "technocrate"
}

character Chr_technocrate : Chr_Default
{
	strength        25	// initial strength points
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon          plasmatrix
	aim             0	// how many degrees off target he can be at most
	sight angle	0	// in degrees
	sight range 	0	// in metres
	hearing range	0	// in metres
	aggression	0	// from 0 to 1
	radius		1	// used by the movement model
}

role Rol_technocrate : Rol_PlacedObject
{
	character		Chr_technocrate
	shape			Shp_technocrate
	identifier		"technocrate"
	destructibility 	Frg_technocratefrag
	armour			1
	ai			blocker
	status display		no
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_technocrate_GSH
