// defines a level 2 specific, the VTOL
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_VTOL_GSH
#define INCLUDED_VTOL_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "vtolfrag.gsh"

hierarchy Hcy_VTOL
{
	file "objects\vtol.RIF"
	name "VTOL"
	hotspot "Fskid"
}

character Chr_VTOL : Chr_Default
{
	turning speed	0.3
	walking speed	10
	strength		1000
	aim		0		// pretty crap really
	sight angle		85	// in degrees
	sight range 	10	// in metres
	hearing range	0	// in metres
	aggression		1	// from 0 to 1
}

role Rol_VTOL : Rol_PlacedObject
{
	shape            Hcy_VTOL

	character        Chr_VTOL

	identifier       "vtol"
	
	destructibility  Frg_VTOL

	ai				track object

	armour			25

	per vertex fogging	yes
}
					
////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_VTOL_GSH
