// defines the fragmented VTOL
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_VTOLFRAG_GSH
#define INCLUDED_VTOLFRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

hierarchy Hcy_VTOLFrag
{
	file	"objects\vtolfrag.rif"
	name	"vtolfrag"
	hotspot none
}

role Rol_VTOLFrag : Rol_PlacedObject
{
	shape	   Hcy_VTOLFrag
	identifier "vtolfrag"
	hit test ignore yes
	frag control yes
}

frag data Frg_VTOL
{
	role Rol_VTOLFrag
	scale 5
	symmetric yes
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_VTOLFRAG_GSH
