// defines the Wall Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_WALL_TURRET_GSH
#define INCLUDED_WALL_TURRET_GSH

#include "defaults.gsh"
#include "lasers.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Wall_Turret
{
	file "units\wall turret.RIF"
	name "Wall Turret"
	hotspot "Dum Flash"
}

character Chr_Wall_Turret : Chr_DefaultBaddie
{
	turning speed   0.5
	walking speed   0	// doesn't move
	weapon			enemy laser
	strength		6
	aim				0	// spot on!
	height			1.6	// for targeting purposes
	sight angle		180	// in degrees
	sight range		12	// in metres
	hearing range	22	// in metres
	aggression		1	// from 0 to 1
	gun yaw angle	90	// in degrees
	elevation angle 45	// in degrees
	can turn		no
}

// msoke trail from the barrel when firing
pgenerator Pgn_Wall_Turret
{
	type fire
	life infinite
	rate 4
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 0.7
}

role Rol_Wall_Turret : Rol_DefaultRobot
{
	pgen			Pgn_Wall_Turret
	shape			Hcy_Wall_Turret
	character		Chr_Wall_Turret
	ai				popup
	identifier		"Wall_Turret"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_WALL_TURRET_GSH