// defines wreckage fire
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_WRECKAGE_FIRE_GSH
#define INCLUDED_WRECKAGE_FIRE_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_BigFire
{
	type fire
	life infinite
	rate 10
	
	// stream direction
	x	0
	y	-1
	z	0
	
	// particle colour
	red   1
	green 0.3
	blue  0.1
	alpha 1

	start scale	1.0
	end scale	0.3
	spin		10
}

pgenerator Pgn_SmallFire
{
	type smoke
	life 60 seconds
	rate 10

	// stream direction
	x	0
	y	-1
	z	0

	// particle colour
	red   0.3
	green 0.3
	blue  0.3
	alpha 1
}

light Lit_BigFire
{
	red             4
	green           1.5
	blue            0.2
	specular red	1.5
	specular green	0.5
	specular blue	0
	range           10
}

light Lit_SmallFire
{
	red             4
	green           1.5
	blue            0.2
	specular red	1.5
	specular green	0.5
	specular blue	0
	range           10
}

role Rol_BigFire : Rol_PlacedObject
{
	shape Pgn_BigFire
	light Lit_BigFire
}

role Rol_SmallFire : Rol_PlacedObject
{
	shape Pgn_SmallFire

}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_WRECKAGE_FIRE_GSH