// defines yellow light
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_yellow_GSH
#define INCLUDED_yellow_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

pgenerator Pgn_yellow
{
	type fire
	life infinite
	rate 10

	// stream direction
	x	0
	y	-1
	z	0

	// particle colour
	red   0.2
	green 0.1
	blue  0.04
	alpha 1
}

light Lit_yellow
{
	red             1
	green           0.4
	blue            0.1
	specular red	1
	specular green	0.4
	specular blue	0.1
	range           10
}

role Rol_yellow : Rol_PlacedObject
{
	light Lit_yellow
	identifier "yellowlight"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_yellow_GSH
